summaryrefslogtreecommitdiff
path: root/qa/491
diff options
context:
space:
mode:
Diffstat (limited to 'qa/491')
-rwxr-xr-xqa/49138
1 files changed, 38 insertions, 0 deletions
diff --git a/qa/491 b/qa/491
new file mode 100755
index 0000000..ebbd61d
--- /dev/null
+++ b/qa/491
@@ -0,0 +1,38 @@
+#!/bin/sh
+# PCP QA Test No. 491
+# Checkout the pmdaCacheLookup*() routines in libpcp_pmda
+#
+# Copyright (c) 2011 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+rm -f $seq.out $seq.full
+endian=`_get_endian`
+ln $seq.out.$endian $seq.out
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_filter()
+{
+ sed -e 's/0x[0-9a-f][0-9a-f]*/ADDR/'
+}
+
+# real QA test starts here
+echo "=== with keys ==="
+src/keycache2 -k 2>&1 | _filter
+
+echo
+echo "=== using name for keys ==="
+src/keycache2 2>&1 | _filter
+
+# success, all done
+exit